WildcardQueryNode (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.standard.nodes, class: WildcardQueryNode

Package org.apache.lucene.queryparser.flexible.standard.nodes

# Class WildcardQueryNode

java.lang.Object
org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
org.apache.lucene.queryparser.flexible.core.nodes.FieldQueryNode
org.apache.lucene.queryparser.flexible.standard.nodes.WildcardQueryNode

All Implemented Interfaces:
  `Cloneable`, `FieldableNode`, `FieldValuePairQueryNode<CharSequence>`, `QueryNode`, `TextableQueryNode`, `ValueQueryNode<CharSequence>`

Direct Known Subclasses:
  `PrefixWildcardQueryNode`

public class WildcardQueryNode extends FieldQueryNode
A `WildcardQueryNode` represents wildcard query This does not apply to phrases. Examples: `a*b*c Fl?w? m?ke*g`.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.FieldQueryNode

  `begin, end, field, positionIncrement, text`

  ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WildcardQueryNode(CharSequence field, CharSequence text, int begin, int end)`
  `WildcardQueryNode(FieldQueryNode fqn)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WildcardQueryNode`
  `cloneTree()`
  Recursive clone the QueryNode tree.
  `CharSequence`
  `toQueryString(EscapeQuerySyntax escaper)`
  convert to a query string understood by the query parser
  `String`
  `toString()`
  Every implementation of this class should return pseudo xml like this:

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.FieldQueryNode

  `getBegin, getEnd, getField, getFieldAsString, getPositionIncrement, getTermEscaped, getTermEscapeQuoted, getText, getTextAsString, getValue, setBegin, setEnd, setField, setPositionIncrement, setText, setValue`

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

  `add, add, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, unsetTag`

- ## Constructor Details

  - ### WildcardQueryNode

    public WildcardQueryNode(CharSequence field, CharSequence text, int begin, int end)
    Parameters:
      `field` - - field name
      `text` - - value that contains one or more wild card characters (? or *)
      `begin` - - position in the query string
      `end` - - position in the query string

  - ### WildcardQueryNode

    public WildcardQueryNode(FieldQueryNode fqn)

- ## Method Details

  - ### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escaper)
    Description copied from interface: `QueryNode`
    convert to a query string understood by the query parser
    Specified by:
      `toQueryString` in interface `QueryNode`
    Overrides:
      `toQueryString` in class `FieldQueryNode`

  - ### toString

    public String toString()
    Description copied from class: `QueryNodeImpl`
    Every implementation of this class should return pseudo xml like this:

    For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

    Specified by:
      `toString` in interface `QueryNode`
    Overrides:
      `toString` in class `FieldQueryNode`
    See Also:
      - `QueryNode.toString()`

  - ### cloneTree

    public WildcardQueryNode cloneTree() throws CloneNotSupportedException
    Description copied from interface: `QueryNode`
    Recursive clone the QueryNode tree. The tags are not copied to the new tree when you call the cloneTree() method.
    Specified by:
      `cloneTree` in interface `QueryNode`
    Overrides:
      `cloneTree` in class `FieldQueryNode`
    Returns:
      the cloned tree
    Throws:
      `CloneNotSupportedException`